import { HttpService } from '@nestjs/axios';
import { BlankReturnMessageDto } from '../dto/ReturnMessage.dto';
import { MiddlewareInfoDto } from '../dto/MiddlewareInfo.dto';
import { PostUrlDto } from '../dto/PostUrl.dto';
import { MirrorDto } from '../dto/Mirror.dto';
import { ConsoleLogger } from '@nestjs/common';

export class MiddlewareService extends ConsoleLogger {
  constructor(name: string, protected http: HttpService) {
    super(name);
  }

  async info(): Promise<MiddlewareInfoDto> {
    throw new BlankReturnMessageDto(404, 'Not Implemented').toException();
  }
  async upload(urlDto: PostUrlDto): Promise<string> {
    throw new BlankReturnMessageDto(404, 'Not Implemented').toException();
  }
  async download(mirror: MirrorDto, ip: string): Promise<string> {
    return mirror.url;
  }
}
